package com.djhk.uav.policeInfo.mapper;



import com.djhk.common.api.domain.PoliceInfo;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2024-07-08
 */
public interface PoliceInfoMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param BGDH 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public PoliceInfo selectPoliceInfoByBGDH(String BGDH);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param policeInfo 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<PoliceInfo> selectPoliceInfoList(PoliceInfo policeInfo);

    /**
     * 新增【请填写功能名称】
     * 
     * @param policeInfo 【请填写功能名称】
     * @return 结果
     */
    public int insertPoliceInfo(PoliceInfo policeInfo);

    /**
     * 修改【请填写功能名称】
     * 
     * @param policeInfo 【请填写功能名称】
     * @return 结果
     */
    public int updatePoliceInfo(PoliceInfo policeInfo);

    /**
     * 删除【请填写功能名称】
     * 
     * @param BGDH 【请填写功能名称】主键
     * @return 结果
     */
    public int deletePoliceInfoByBGDH(String BGDH);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param BGDHs 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePoliceInfoByBGDHs(String[] BGDHs);
}
